<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:p="http://primefaces.org/ui"
                template="/templates/template.xhtml"
                >

    <ui:define name="conteudo">

        <h:form id="formListagem">
            <p:panel header="Lista de Endereços">
                <p:dataTable id="tabela" emptyMessage="Nenhum registro encontrado." paginator="true" value="#{enderecoBean.enderecos}" var="endereco" rows="5" >

                    <f:facet name="header">
                        <p:commandButton value="Novo" actionListener="#{enderecoBean.novo}" oncomplete="PF('dialogo').show();"
                                         update=":mensagem :formCadastro:painel">
                            <f:actionListener type="org.omnifaces.eventlistener.ResetInputAjaxActionListener" />
                        </p:commandButton>

                    </f:facet>

                    <p:column headerText="Endereco" style="text-align: center;">
                        <h:outputText value="#{endereco.endereco}" />

                    </p:column>

                    <p:column headerText="Bairro" style="text-align: center;">
                        <h:outputText value="#{endereco.bairro}" />

                    </p:column>

                    <p:column headerText="Cidade" style="text-align: center;">
                        <h:outputText value="#{endereco.cidade}" />

                    </p:column>

                    <p:column headerText="CEP" style="text-align: center;">
                        <h:outputText value="#{endereco.cep}" />

                    </p:column>

                    <p:column headerText="Opções" style="text-align: center;">
                        <p:commandButton icon="ui-icon-trash" actionListener="#{enderecoBean.excluir}" update=":mensagem :formListagem:tabela">
                            <p:confirm header="Confirmação" message="Deseja excluir o endereço?" icon="ui-icon-alert" />
                            <f:attribute name="EnderecoSelecionado" value="#{endereco}" />

                        </p:commandButton>


                        <p:commandButton icon="ui-icon-pencil" actionListener="#{enderecoBean.editar}" update=":mensagem :formCadastro:painel" oncomplete="PF('dialogo').show();" >
                            <f:attribute name="EnderecoSelecionado" value="#{endereco}" />
                            <f:actionListener type="org.omnifaces.eventlistener.ResetInputAjaxActionListener" />
                        </p:commandButton>
                    </p:column>   
                </p:dataTable>     

                <p:confirmDialog global="true" > 
                    <p:commandButton value="Sim" type="button"
                                     styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />

                    <p:commandButton value="Nâo" type="button"
                                     styleClass="ui-confirmdialog-no" icon="ui-icon-close" />


                </p:confirmDialog>
            </p:panel>
        </h:form>

        <p:dialog header="Enderecos - Cadastro" widgetVar="dialogo" draggable="true" resizable="false" closable="false">
            <h:form id="formCadastro" enctype="multipart/form-data">
                <h:panelGrid id="painel" columns="2">


                    <p:outputLabel value="Endereço:" />
                    <p:inputText maxlength="50" size="30"
                                 value="#{enderecoBean.endereco.endereco}" required="true"
                                 requiredMessage="O campo 'endereço é obrigatório" />



                    <p:outputLabel value="Bairro:" />
                    <p:inputText maxlength="50" size="30"
                                 value="#{enderecoBean.endereco.bairro}" required="true"
                                 requiredMessage="O campo 'bairro é obrigatório" />


                    <p:outputLabel value="Cidade:" />
                    <p:inputText maxlength="50" size="30"
                                 value="#{enderecoBean.endereco.cidade}" required="true"
                                 requiredMessage="O campo 'cidade é obrigatório" />


                    <p:outputLabel value="CEP:" />
                    <p:inputText maxlength="50" size="30"
                                 value="#{enderecoBean.endereco.cep}" required="true"
                                 requiredMessage="O campo 'cep é obrigatório" />


                </h:panelGrid>


                <h:panelGrid columns="2">
                    <p:commandButton value="Salvar" actionListener="#{enderecoBean.salvar}" update=":mensagem :formCadastro:painel :formListagem:tabela" oncomplete="PF('dialogo').hide();" />
                    <p:commandButton value="Fechar" oncomplete="PF('dialogo').hide();" />


                </h:panelGrid>

            </h:form>


        </p:dialog>







    </ui:define>



</ui:composition>